Bullet Collision Detection & Physics Library: btBox2dBox2dCollisionAlgorithm Class Reference

Bullet Collision Detection & Physics Library

Classes | Public Member Functions | Private Attributes | List of all members
btBox2dBox2dCollisionAlgorithm Class Reference

box-box collision detection More...

`#include <btBox2dBox2dCollisionAlgorithm.h>`

Inheritance diagram for btBox2dBox2dCollisionAlgorithm:
[legend]
Collaboration diagram for btBox2dBox2dCollisionAlgorithm:
[legend]

## Classes
struct | CreateFunc

## Public Member Functions
| btBox2dBox2dCollisionAlgorithm (const btCollisionAlgorithmConstructionInfo &ci)
virtual void | processCollision (const btCollisionObjectWrapper *body0Wrap, const btCollisionObjectWrapper *body1Wrap, const btDispatcherInfo &dispatchInfo, btManifoldResult *resultOut)
virtual btScalar | calculateTimeOfImpact (btCollisionObject *body0, btCollisionObject *body1, const btDispatcherInfo &dispatchInfo, btManifoldResult *resultOut)
| btBox2dBox2dCollisionAlgorithm (btPersistentManifold *mf, const btCollisionAlgorithmConstructionInfo &ci, const btCollisionObjectWrapper *body0Wrap, const btCollisionObjectWrapper *body1Wrap)
virtual | ~btBox2dBox2dCollisionAlgorithm ()
virtual void | getAllContactManifolds (btManifoldArray &manifoldArray)
Public Member Functions inherited from btActivatingCollisionAlgorithm
virtual | ~btActivatingCollisionAlgorithm ()
Public Member Functions inherited from btCollisionAlgorithm
| btCollisionAlgorithm ()
| btCollisionAlgorithm (const btCollisionAlgorithmConstructionInfo &ci)
virtual | ~btCollisionAlgorithm ()

## Private Attributes
bool | m_ownManifold
btPersistentManifold * | m_manifoldPtr

## Additional Inherited Members
Protected Member Functions inherited from btActivatingCollisionAlgorithm
| btActivatingCollisionAlgorithm (const btCollisionAlgorithmConstructionInfo &ci)
| btActivatingCollisionAlgorithm (const btCollisionAlgorithmConstructionInfo &ci, const btCollisionObjectWrapper *body0Wrap, const btCollisionObjectWrapper *body1Wrap)
Protected Attributes inherited from btCollisionAlgorithm
btDispatcher * | m_dispatcher

## Detailed Description

box-box collision detection

Definition at line 27 of file btBox2dBox2dCollisionAlgorithm.h.

## Constructor & Destructor Documentation

## ◆ btBox2dBox2dCollisionAlgorithm() [1/2]

btBox2dBox2dCollisionAlgorithm::btBox2dBox2dCollisionAlgorithm | ( | const btCollisionAlgorithmConstructionInfo & | ci | ) |
| inline

Definition at line 33 of file btBox2dBox2dCollisionAlgorithm.h.

## ◆ btBox2dBox2dCollisionAlgorithm() [2/2]

btBox2dBox2dCollisionAlgorithm::btBox2dBox2dCollisionAlgorithm | ( | btPersistentManifold * | mf,
|  | const btCollisionAlgorithmConstructionInfo & | ci,
|  | const btCollisionObjectWrapper * | body0Wrap,
|  | const btCollisionObjectWrapper * | body1Wrap
| ) |  |

Definition at line 29 of file btBox2dBox2dCollisionAlgorithm.cpp.

## ◆ ~btBox2dBox2dCollisionAlgorithm()

btBox2dBox2dCollisionAlgorithm::~btBox2dBox2dCollisionAlgorithm | ( |  | ) |
| virtual

Definition at line 41 of file btBox2dBox2dCollisionAlgorithm.cpp.

## Member Function Documentation

## ◆ calculateTimeOfImpact()

btScalar btBox2dBox2dCollisionAlgorithm::calculateTimeOfImpact | ( | btCollisionObject * | body0,
|  | btCollisionObject * | body1,
|  | const btDispatcherInfo & | dispatchInfo,
|  | btManifoldResult * | resultOut
| ) |  |
| virtual

Implements btCollisionAlgorithm.

Definition at line 72 of file btBox2dBox2dCollisionAlgorithm.cpp.

## ◆ getAllContactManifolds()

virtual void btBox2dBox2dCollisionAlgorithm::getAllContactManifolds | ( | btManifoldArray & | manifoldArray | ) |
| inlinevirtual

Implements btCollisionAlgorithm.

Definition at line 44 of file btBox2dBox2dCollisionAlgorithm.h.

## ◆ processCollision()

void btBox2dBox2dCollisionAlgorithm::processCollision | ( | const btCollisionObjectWrapper * | body0Wrap,
|  | const btCollisionObjectWrapper * | body1Wrap,
|  | const btDispatcherInfo & | dispatchInfo,
|  | btManifoldResult * | resultOut
| ) |  |
| virtual

Implements btCollisionAlgorithm.

Definition at line 53 of file btBox2dBox2dCollisionAlgorithm.cpp.

## Member Data Documentation

## ◆ m_manifoldPtr

btPersistentManifold* btBox2dBox2dCollisionAlgorithm::m_manifoldPtr
| private

Definition at line 30 of file btBox2dBox2dCollisionAlgorithm.h.

## ◆ m_ownManifold

bool btBox2dBox2dCollisionAlgorithm::m_ownManifold
| private

Definition at line 29 of file btBox2dBox2dCollisionAlgorithm.h.

The documentation for this class was generated from the following files:

- btBox2dBox2dCollisionAlgorithm.h
- btBox2dBox2dCollisionAlgorithm.cpp